summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2014-05-10 22:48:36 -0400
committerLuke Shumaker <LukeShu@sbcglobal.net>2014-05-11 02:00:46 -0400
commitb810795b6689ab9e1635af21a48660305b2a7820 (patch)
treee555e095cd2b7804688a0439149bb722a938f516 /test
parent7d74f7ccef61ccb120e920287f6929c12c48d895 (diff)
test/librechroot: 'exit' isn't an executable program.
This test worked before because of work-arounds for systemd bugs, it had invoked bash inside of the chroot.
Diffstat (limited to 'test')
-rw-r--r--test/librechroot-test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/librechroot-test.sh b/test/librechroot-test.sh
index c22ac58..43f3143 100644
--- a/test/librechroot-test.sh
+++ b/test/librechroot-test.sh
@@ -40,7 +40,7 @@ it_respects_exit_status_if_out_isnt_a_tty() (
set -o pipefail
libremessages msg 'Creating a chroot, may take a few minutes' &>/dev/tty
r=0
- { testsudo librechroot -l "$roundup_test_name" run exit 3 | cat; } || r=$?
+ { testsudo librechroot -l "$roundup_test_name" run bash -c 'exit 3' | cat; } || r=$?
[[ $r == 3 ]]
)